﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using Telerik.Windows.Controls;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			this.panelBar1.ItemsSource = new DataItems();
			Loaded += new RoutedEventHandler(MainPage_Loaded);
		}

		void MainPage_Loaded(object sender, RoutedEventArgs e)
		{
			Dispatcher.BeginInvoke(() =>
			{
				foreach (var item in this.panelBar1.Items)
				{
					RadPanelBarItem container = this.panelBar1.ItemContainerGenerator.ContainerFromItem(item) as RadPanelBarItem;
					var root = VisualTreeHelper.GetChild(container, 0) as Panel;
					var arrow = root.FindName("arrow") as UIElement;
					arrow.Visibility = container.Items.Count > 0 ? Visibility.Visible : Visibility.Collapsed;
				}
			});
		}
	}

	public class DataItems : List<DataItem>
	{
		public DataItems()
		{
			for (int i = 0; i < 10; i++)
			{
				DataItem d1 = new DataItem();
				d1.Name = string.Format("Item {0}", i);
				if (i % 2 == 0)
				{
					for (int j = 0; j < 3; j++)
					{
						DataItem d2 = new DataItem();
						d2.Name = string.Format("Item {0}.{1}", i, j);
						d1.Children.Add(d2);
					}
				}
				this.Add(d1);
			}
		}
	}

	public class DataItem
	{
		public DataItem()
		{
			this.Children = new List<DataItem>();
		}
		public string Name { get; set; }
		public List<DataItem> Children { get; set; }
	}

}
